//
//  P4DepotFile.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/25/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import Foundation

class P4DepotFile : NSObject, File {
 
    var p4DepotArea:P4DepotArea
    
    var area:Area { return p4DepotArea }
    
    var p4File:P4File
    
    var parent:Directory? = nil
    
    var name:String { return p4File.name }
    
    var revision:Int { return p4File.revision }
    
    init(depotArea:P4DepotArea, p4File:P4File) {
        self.p4DepotArea = depotArea
        self.p4File = p4File
    }
}